package com.swiveltechnologies.pinsafe.client.agent;

/**
 * @author simon
 */
public class SampleAgent {

    /**
     * @param args
     */
    public static void main(String[] args) {
        //
        if (Boolean.valueOf(System.getProperty("provision", "false"))) {
            //
            mobileProvision();
        } else {
            //
            securityStrings(System.getProperty("id"));
        }
    }

    /**
     * 
     */
    private static void mobileProvision() {
        //
        AgentXmlRequest r = new AgentXmlRequest("http://localhost:8080/pinsafe", "secret");

        //
        r.provisionCode("ann");
        if (r.send()) {
            //
            if (r.actionSucceeded()) {
                //
                System.out.println(r.getAgentResult());
                System.out.println(r.getResponse());

                //
                try {
                    //
                    Thread.sleep(5000);
                } catch (InterruptedException x) {
                    //
                }

                //
                r.provision("ann", null, "1234567890");
                if (r.send()) {
                    //
                    if (r.actionSucceeded()) {
                        //
                        System.out.println(r.getAgentResult());
                        System.out.println(r.getResponse());
                    } else {
                        //
                        System.out.println("Request failed, " + r.getAgentResult() + ", " + r.getAgentError());
                        System.out.println(r.getResponse());
                    }
                } else {
                    //
                    System.out.println("Send failed, " + r.getResponseCode());
                    System.out.println(r.getAgentError());
                    System.out.println(r.getResponse());
                }
            } else {
                //
                System.out.println("Request failed, " + r.getAgentResult() + ", " + r.getAgentError());
                System.out.println(r.getResponse());
            }
        } else {
            //
            System.out.println("Send failed, " + r.getResponseCode());
            System.out.println(r.getAgentError());
            System.out.println(r.getResponse());
        }
    }

    private static void securityStrings(String id) {
        //
        AgentXmlRequest r = new AgentXmlRequest("http://localhost:8080/pinsafe", "secret");

        //
        r.securityStrings(id);
        System.out.println(r);
        if (r.send()) {
            //
            if (r.actionSucceeded()) {
                //
                System.out.println(r.getAgentResult());
                System.out.println(r.getResponse());
            } else {
                //
                System.out.println("Request failed, " + r.getAgentResult() + ", " + r.getAgentError());
                System.out.println(r.getResponse());
            }
        } else {
            //
            System.out.println("Send failed, " + r.getResponseCode());
            System.out.println(r.getAgentError());
            System.out.println(r.getResponse());
        }
    }

}
